## ksensors-trinity 14.1.0

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 3.1 )


#### general package setup

project( ksensors )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
ksensors-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#ksensors

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

ksensors-trinity (0.7.3-18) unstable; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 26 Jul 2013 15:48:38 +0200

ksensors (0.7.3-18) unstable; urgency=low

  * Link the ksensors binary with libtqt-mt (closes: bug#555063).
  * Apply patch from Michael Schuele to fix multi-core sensors (closes: 
    bug#494090).
  * Bumped standard version to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 14 Nov 2009 13:50:57 +0000

ksensors (0.7.3-17) unstable; urgency=low

  * Switch to debhelper 5.
  * Bumped standard version to 3.8.2 (no changes).
  * Don't assume config.guess and config.sub are updated by libtoolize
    (Closes: bug#533987).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 30 Jun 2009 14:45:13 +0200

ksensors (0.7.3-16) unstable; urgency=medium

  * Bumped standard version to 3.8.0 (no changes).
  * Get rid of libqt3-compat-headers, patch by Barry de Freese (closes:
    bug#464657).
  * Use to libsensors4 API.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 30 Jun 2008 16:12:07 +0200

ksensors (0.7.3-15) unstable; urgency=low

  * Update menu to match the new Debian menu subpolicy. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 30 Jul 2007 19:36:50 +0200

ksensors (0.7.3-14) unstable; urgency=low

  * Remove debconf templates as version 0.6.0 is now very old (not even
    in sarge).
  * Fix the installation path of the sound files (closes: bug#406706).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 21 Jun 2007 21:01:59 +0200

ksensors (0.7.3-13) unstable; urgency=medium

  * Fix the parsing of hddtemp output (closes: bug#394057).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 19 Oct 2006 17:46:29 +0200

ksensors (0.7.3-12) unstable; urgency=medium

  * Backports Norvegian translation from CVS.
  * Add support for sensors without min/max settings (closes: bug#391922).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 10 Oct 2006 22:41:09 +0200

ksensors (0.7.3-11) unstable; urgency=low

  * Fixed a silly test of the autoconf version in the KDE scripts.
  * Bumped standard version to 3.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 21 Jul 2006 19:20:41 +0200

ksensors (0.7.3-10) unstable; urgency=low

  * Put all QRadioButtons of the alarm tab into a QButtonGroup widget 
    instead of a QLayout widget (closes: bug#353553).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Feb 2006 22:32:06 +0100

ksensors (0.7.3-9) unstable; urgency=low

  * Relibtoolize the package to get rid of a lot of unneeded
    dependencies,

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Nov 2005 20:35:47 +0100

ksensors (0.7.3-8) unstable; urgency=low

  * Added Swedish translation of ksensors. Thanks to Daniel Nylander (closes:
    bug#337117).

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  3 Nov 2005 01:59:54 +0100

ksensors (0.7.3-7) unstable; urgency=low

  * Patches pulled from CVS:
    - Polish translation.
    - Support for reading temperature from SCSI disks. Thanks to James
      Stark (closes: bug#334614).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 19 Oct 2005 22:19:56 +0200

ksensors (0.7.3-6) unstable; urgency=low

  * Added Swedish debconf translation. Thanks to Daniel Nylander (closes:
    bug#330609). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  3 Oct 2005 00:27:51 +0200

ksensors (0.7.3-5) unstable; urgency=low

  * C++ transition: build-depends on libqt3-mt-dev (>= 3:3.3.4-7) and
    kdelibs4-dev (>= 4:3.4.2-1).
  * Bumped Standards-Version to 3.6.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 18 Aug 2005 11:05:13 +0200

ksensors (0.7.3-4) unstable; urgency=low

  * Added Vietnamese debconf translation. Thanks to Clytie Siddall (closes
    bug#312175).
  * Fixed a typo in the debconf template. Thanks to Clytie Siddall (closes:
    bug#312176).

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  7 Jun 2005 01:15:46 +0200

ksensors (0.7.3-3) unstable; urgency=low

  * Added Czech debconf translation. Thanks to Miroslav Kure (closes: 
    bug#293619). 

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  4 Feb 2005 21:41:06 +0100

ksensors (0.7.3-2) unstable; urgency=low

  * Added Italian debconf translation. Thanks to Luca Monducci. (closes:
    bug#272147).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Sep 2004 00:57:43 +0200

ksensors (0.7.3-1) unstable; urgency=low

  * New upstream version:
    - Added support for reading ACPI temperatures (closes: bug#255079).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 19 Aug 2004 00:06:13 +0200

ksensors (0.7.2-17) unstable; urgency=low

  * Fixed display of values in the panel (closes: bug#265807).
  * Fixed segfault when removing an info panel (closes: bug#225712, 
    #265806).
  * Added an alarm sound (closes: bug#231280).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Aug 2004 01:45:27 +0200

ksensors (0.7.2-16) unstable; urgency=low

  * Dont build-depends on make, it is a build-essential package. 
  * Applied a patch from Geoff Oakham to fix a freeze when used with hddtemp.
    Thanks! (closes: bug#249093).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 15 May 2004 21:50:48 +0200

ksensors (0.7.2-15) unstable; urgency=low

  * Build-Depends on libsensors-dev (>= 2.8.4-1) so KSensors will be
    built against libsensors3.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 29 Feb 2004 18:58:22 +0100

ksensors (0.7.2-14) unstable; urgency=low

  * Moved ja.po in the right directory (closes: bug#227820).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 15 Feb 2004 23:20:17 +0100

ksensors (0.7.2-13) unstable; urgency=low

  * Added Japanese debconf translation. Thanks to Hideki Yamane. (closes:
    bug#227820).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 10 Feb 2004 23:58:39 +0100



## ksensors-trinity 14.1.1

=== debian/changelog ===
ksensors-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#ksensors

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Sep 2023 03:48:03 +0200

## ksensors-trinity 14.1.2

=== debian/changelog ===
ksensors-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#ksensors

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:52 +0200

## ksensors-trinity 14.1.3

=== debian/changelog ===
ksensors-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#ksensors

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 18 Sep 2024 23:11:50 +0200

## ksensors-trinity 14.1.4

=== debian/changelog ===
ksensors-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#ksensors

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## ksensors-trinity 14.1.5~pre0

=== debian/changelog ===
ksensors-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for e9c9f69f8baff300f8e5ec580258a631f0943b09
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#ksensors

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## ksensors-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -29,11 +33,6 @@
 #### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== src/CMakeLists.txt ===
add_subdirectory( pics   )
add_subdirectory( sounds )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${SENSORS_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### ksensors (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        main.cpp ksensors.cpp aboutcfgdesign.ui cpupanel.cpp
        cputimepanel.cpp generalcfg.cpp generalcfgdesign.ui
        hdsensorslist.cpp i8ksensorslist.cpp infopanels.cpp
        ksensorscfg.cpp ksensorssplash.cpp lmsensor.cpp
        lmsensordockpanel.cpp lmsensorpanel.cpp lmsensorsalarms.cpp
        lmsensorscfg.cpp lmsensorscfgdesign.ui lmsensorschip.cpp
        lmsensors.cpp lmsensorsdock.cpp lmsensorswidget.cpp
        palettecfg.cpp palettecfgdesign.ui panel.cpp panelsgroup.cpp
        processexec.cpp procinfo.cpp qbarmeter.cpp qdialarc.cpp
        qlcdraw.cpp qlcdstring.cpp rampanel.cpp sensor.cpp
        sensorslist.cpp systemcfg.cpp systemcfgdesign.ui
        uptimepanel.cpp
  LINK
     tdeui-shared
     tdecore-shared
     ${SENSORS_LIBRARIES}
     ${MATH_LIBC}
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES ksensorsui.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.desktop
    DESTINATION ${AUTOSTART_INSTALL_DIR}
)

=== src/pics/CMakeLists.txt ===
install(

    FILES
        battery.png earth.png motherboard.png battery18x18.png
        harddisk.png thermometer.png computers.png
        ksensorsbackground.png thermometer18x18.png cooler.png
        ksensorsdocked.png cooler18x18.png ksensorssplash.png

    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/pics
)

tde_install_icons( ${PROJECT_NAME} )

=== debian/changelog ===
ksensors-trinity (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#ksensors

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: ksensors-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libsensors-dev | libsensors4-dev, tdelibs14-trinity-dev, imagemagick
Build-Conflicts: autoconf2.13
Standards-Version: 3.8.3

Package: ksensors-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lm-sensors
Recommends: hddtemp (>= 0.3beta2-1)
Description: lm-sensors frontend for TDE
 This is a lm-sensors frontend for TDE for monitoring a motherboard.
 It allows you to access information from temperature and fan speed
 sensors.
 .
 You will need lm-sensors kernel modules to use this package.

## ksensors-trinity 14.1.6~pre0

=== debian/changelog ===
ksensors-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e9c9f69f8baff300f8e5ec580258a631f0943b09
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#ksensors

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## ksensors-trinity 14.1.6~pre1

=== debian/changelog ===
ksensors-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9b47f273ac726e971be8a37c95126fed3ffb1fe0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#ksensors

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:22:35 +0100

## ksensors-trinity 14.2.0~pre29

=== debian/changelog ===
ksensors-trinity (4:14.2.0~pre29-0raspbian11.0.0+7) raspbian-bullseye; urgency=low

  * Automated git build for 66481f46cee82755cedd55093fc19a5bb1d180ab
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#ksensors

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

binary-install/ksensors-trinity::
	# Installing icons
	/usr/bin/convert $(CURDIR)/src/pics/hi16-app-ksensors.png $(CURDIR)/debian/ksensors-trinity/opt/trinity/share/pixmaps/ksensors.xpm

## ksensors-trinity 14.2.0~pre30

=== debian/changelog ===
ksensors-trinity (4:14.2.0~pre30-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 3ed96a39702c6975ecc9a263846b09fa0832436f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#ksensors

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:15:40 +0100
